# Script to prepare for project by clipping all data to study area
# Created by San Diego Gnatcatcher Conservation Fund
# On March 15, 2010

import arcpy
import os

arcpy.env.workspace = os.path.join(os.path.dirname(os.getcwd()), "data", "Habitat_Analysis.gdb")
arcpy.env.overwriteOutput = True

fclist = arcpy.ListFeatureClasses()

arcpy.CreateFeatureDataset_management(arcpy.env.workspace, "Clipped")

for fc in fclist:
    if fc != "StudyArea":
        arcpy.Clip_analysis(fc, "StudyArea", "Clipped/%s_clip" % fc)

print "Finished"